#!/usr/bin/gnuplot

h = 6.62607015e-34  # J s, from 2018 CODATA, exact
c = 2.99792458e8  # m/s, from CODATA 2018, exact

zeropt = 25.6873668671  # mag
S = 0.7278  # m^2

lambda_eff = 6.390220325829554e-07  # m
Delta_eff  = 3.173239442680078e-07  # m

Phi_G_cal_fot = 10.0**(zeropt/2.5)
P_G_cal_fot = Phi_G_cal_fot*S
P_lambda_cal_fot = P_G_cal_fot/Delta_eff
P_lambda_cal = P_lambda_cal_fot * h*c/lambda_eff
Phi_lambda_cal = P_lambda_cal/S

print "lambda_eff = ", lambda_eff, " m"
print "Delta_eff = ", Delta_eff, " m"
print ""
print "Phi_G_cal_fot = ", Phi_G_cal_fot, " f. s^-1 m^-2"
print "P_G_cal_fot = ", P_G_cal_fot, " f. s^-1"
print "P_lambda_cal_fot = ", P_lambda_cal_fot, " f. s^-1 m^-1"
print "P_lambda_cal = ", P_lambda_cal, " W m^-1"
print "Phi_lambda_cal = ", Phi_lambda_cal, " W m^-2 m^-1"


